# IntlChar::isbase

(PHP 7)

IntlChar::isbase — Check if code point is a base character

### Description

public static IntlChar::isbase ( mixed `$codepoint` ) : bool

Determines whether the specified code point is a base character. `TRUE` for general categories "L" (letters), "N" (numbers), "Mc" (spacing combining marks), and "Me" (enclosing marks).

> Note:

> This is different from the Unicode definition in chapter 3.5, conformance clause D13, which defines base characters to be all characters (not Cn) that do not graphically combine with preceding characters (M) and that are neither control (Cc) or format (Cf) characters.

### Parameters

`codepoint`

  The integer codepoint value (e.g. 0x2603 for U+2603 SNOWMAN), or the character encoded as a UTF-8 string (e.g. "\u{2603}")

### Return Values

Returns `TRUE` if `codepoint` is a base character, `FALSE` if not.

### Examples

Example #1 Testing different code points

`<?php
var_dump(IntlChar::isbase("A"));
var_dump(IntlChar::isbase("1"));
var_dump(IntlChar::isbase("\u{2603}"));
?>`

The above example will output:

    bool(true)
    bool(true)
    bool(false)

### See Also

- IntlChar::isalpha() - Check if code point is a letter character
- IntlChar::isdigit() - Check if code point is a digit character